DATE(1)

NAAM
date - datum of tijd van het systeem tonen of instellen

SAMENVATTING
date [OPTIE]... [+FORMAAT]
date [-u|--utc|--universal] [MMDDuumm[[CC]YY][.ss]]

BESCHRIJVING

Toont de datum en tijd in het gegeven FORMAAT. Met -s, of met [MMDDhhmm[[CC]YY][.ss]], stel de datum en tijd in.

Een verplicht argument bij een lange optie is ook verplicht voor de korte optie.

-d, --date=DATUMTIJD
    toon tijd voorgesteld door DATUMTIJD i.p.v. de huidige tijd

--debug
    annoteer de ontlede datum, en waarschuw bij dubieus gebruik op stderr

-f, --file=DATUMTIJDBESTAND
    als --date, voor elke regel in DATUMTIJDBESTAND

-I[FORMAAT], --iso-8601[=FORMAAT]
    datum en tijd in ISO 8601-formaat tonen; FORMAAT kan zijn: 'date' voor alleen de datum(standaard), 'hours', 'minutes', 'seconds' of 'ns' voor datum +tijd in de aangegeven precisie. Bijvoorbeeld: 2006-08-14T02:34:56-06:00

--resolutie
    toont de beschikbare resolutie van tijdstempels Voorbeeld: 0.000000001

-R, --rfc-email
    datum en tijd in RFC 5322-formaat tonen; bijvoorbeeld: Mon, 14 Aug 2006 02:34:56 -0600

--rfc-3339=FORMAAT
    datum en tijd in RFC 3339-formaat tonen; FORMAAT='date' toont alleen de datum, 'seconds' toont ook de tijd, 'ns' toont ook de nanoseconden. Bijvoorbeeld: 2006-08-14 02:34:56-06:00

-r, --reference=BESTAND
    de laatste wijzigingstijd van BESTAND tonen

-s, --set=DATUMTIJD
    deze tijd en/of datum instellen

-u, --utc, --universal
    de standaard wereldtijd (UTC) gebruiken

--help
    toon de helptekst en stop

--version
    toon programmaversie en stop

All options that specify the date to display are mutually exclusive. I.e.: --date, --file, --reference, --resolution.

FORMAAT bestuurt de uitvoer. Begrepen codes zijn:

%%  het procentteken

%a  de afkorting van de dag volgens de taalregio (bijv. zo)

%A  de volledige naam van de dag volgens de taalregio, (bijv. zondag)

%b  de afgekorte naam van de maand volgens de taalregio (bijv. jan)

%B  de volledige naam van de maand volgens de taalregio (bijv. januari)

%c  de datum/tijd volgens de taalregio (bijv. za 01 okt 2005 16:57:09 CEST)

%C  de eeuw; als %Y maar zonder de laatste twee cijfers (bijv. 20)

%d  de dag in de maand (bijv. 01)

%D  de datum op Amerikaanse manier; hetzelfde als %m/%d/%y

%e  de dag in de maand, met voorloopspatie; hetzelfde als %_d

%F  de volledige datum op ISO-manier; hetzelfde als %+4Y-%m-%d

%g  de laatste twee cijfers van het jaar van het ISO-weeknummer (zie %G)

%G  het jaar van het ISO-weeknummer (zie %V); normaal alleen nuttig met %V

%h  hetzelfde als %b

%H  uur (00...23)

%I  het uur (01..12)

%j  de dag in het jaar (001...366)

%k  het uur, met voorloopspatie ( 0...23); hetzelfde als %_H

%l  het uur, met voorloopspatie ( 1...12); hetzelfde als %_I

%m  de maand (01...12)

%M  minuut (00...59)

%n  een nieuwe regel

%N  de nanoseconden (000000000...999999999)

%p  het equivalent van AM of PM volgens de taalregio; meestal blanco

%P  als %p maar in kleine letters

%q  kwartaal van het jaar (1..4)

%r  de tijd in 12-uurs aanduiding volgens de taalregio (bijv. 11:11:04 PM)

%R  de tijd in 24-uurs aanduiding; hetzelfde als %H:%M

%s  seconden sinds tijdperk (1970-01-01 00:00:00 UTC)

%S  de seconde (00...60) (60 kan ook, vanwege schrikkelseconde)

%t  een horizontale tab

%T  de tijd; hetzelfde als %H:%M:%S

%u  de dag van de week (1...7); 1 is maandag

%U  weeknummer in het jaar, met zondag als eerste dag van de week (00...53)

%V  ISO-weeknummer, met maandag als eerste dag van de week (01...53)

%w  de dag van de week (0...6); 0 is zondag

%W  weeknummer in het jaar, met maandag als eerste dag van de week (00...53)

%x  de datumweergave volgens de taalregio (bijv. 31-12-05)

%X  de tijdweergave volgens de taalregio (bijv. 23:13:48)

%y  de laatste twee cijfers van het jaar (00...99)

%Y  het jaar

%z  numerieke tijdzone in de vorm +hhmm (bijv. -0400)

%:z numerieke tijdzone in de vorm +hh:mm (bijv. -04:00)

%::z
    numerieke tijdzone in de vorm +hh:mm:ss (bijv. -04:00:00)

%:::z
    numerieke tijdzone zonder onnodige nakomende nullen (bijv. -04, +05:30)

%Z  Engelse afkorting voor de tijdzone (bijv. CEST)

Standaard gebruikt 'date' voorloopnullen bij numerieke velden. De volgende optionele vlaggen mogen volgen op '%':

-   (een koppelteken:) geen voorloop gebruiken

_   (een liggend streepje:) voorloop spaties gebruiken

0   (een nul:) voorloop nullen gebruiken (standaard)

+   voorloop nullen gebruiken, en een '+' voor toekomstige jaren met >4 cijfers

^   hoofdletters gebruiken, indien mogelijk

#   hoofd- in kleine letters wijzigen en omgekeerd, indien mogelijk

Na een opmaakcode mag nog optionele veldbreedte (een geheel getal) volgen. Sommige opmaakcodes mogen nog aangepast worden: met ofwel een E, om een alternatieve representatie uit de taalregio te gebruiken, ofwel een O om alternatieve numerieke symbolen uit de taalregio te gebruiken, waarbij voor beiden geldt: indien beschikbaar.

VOORBEELDEN
Converteert aantal seconden sinds tijdperk (1970-01-01 UTC) naar een datum

    $ date --date='@2147483647'

De tijd aan de westkust van de Verenigde Staten (gebruik tzselect(1) om TZ te vinden) tonen

    $ TZ='America/Los_Angeles' date

De lokale tijd hier tonen voor negen uur 's morgens volgende vrijdagaan de westkust van de Verenigde Staten:

    $ date --date='TZ="America/Los_Angeles" 09:00 next Fri'

DATE DATUMTIJD
De --date=DATUMTIJD is een vaak een leesbare notatie zoals "Sun, 29 Feb 2004 16:21:42 -08oo" of "2004-02-29 16:21:42" of zelfs "next Thursday". DATUMTIJD mag elementen bevatten zoals kalender datum, tijdstip, tijdzone, dag van de week, relatieve tijd, relatieve datum, en cijfers. Een lege DATUMTIJD geeft het begin van de dag aan. DATUMTIJD is complexer dan hier beschreven kan worden maar is volledig in de info documentatie opgenomen.

AUTEUR
Geschreven door David MacKenzie.

RAPPORTEREN VAN BUGS
Online hulp bij GNU coreutils: <https://www.gnu.org/software/coreutils/>
Meld alle vertaalfouten op <https://translationproject.org/team/nl.html>

COPYRIGHT
Copyright © 2023 Free Software Foundation, Inc. Licentie GPLv3+: GNU GPL versie 3 of later <https://gnu.org/licenses/gpl.html>.
Dit is vrije software: u mag het vrijelijk wijzigen en verder verspreiden. Deze software kent GEEN GARANTIE, voor zover de wet dit toestaat.

ZIE OOK
Volledige documentatie op: <https://www.gnu.org/software/coreutils/date>
of lokaal via: info '(coreutils) date invocation'

VERTALING
De Nederlandse vertaling van deze handleiding is geschreven door Jos Boersema <joshb@xs4all.nl>, Mario Blättermann <mario.blaettermann@gmail.com> en Luc Castermans <luc.castermans@gmail.com>

Deze vertaling is vrije documentatie; lees de GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) of later over de Copyright-voorwaarden. Er is geen AANSPRAKELIJKHEID.

Indien U fouten in de vertaling van deze handleiding zou vinden, stuur een e-mail naar debian-l10n-dutch@lists.debian.org.